<?php

use Kirby\Toolkit\Date;
use LavenderBits\Squaby\Queue\Scheduler;

return [
    "description" => "Schedule a newsletter issue for sending",
    "args" => [
        "issue" => [
            "description" => "The ID of the issue",
            "required" => true,
        ],
    ],
    "command" => static function ($cli): void {
        $issue = page($cli->arg("issue"));
        if (!$issue) {
            $cli->error(
                "Issue with ID '" . $cli->arg("issue") . "' does not exist."
            );
            return;
        }

        Scheduler::scheduleIssue($issue, Date::now());
    },
];
